%global         commit0 4068497520c6afadfd1dcb789f32354f9e1f23f9
%global         shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global         commit0date 20170919
%global         progname EnhanceIO

Name:           enhanceio
Version:        0.%{commit0date}git%{shortcommit0}
Release:        4%{?dist}
%global         modnamever %{name}-%{version}

Summary:        STEC EnhanceIO SSD Caching Software

License:        GPLv2
URL:            https://github.com/lanconnected/EnhanceIO
Source0:        https://github.com/lanconnected/%{progname}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

#BuildRequires:  dkms
Requires:       %{name}-dkms = %{version}-%{release}
Requires:       %{name}-cli = %{version}-%{release}

%description
EnhanceIO driver is based on EnhanceIO SSD caching software product developed by
STEC Inc. EnhanceIO was derived from Facebook's open source Flashcache project.
EnhanceIO uses SSDs as cache devices for traditional rotating hard disk drives
(referred to as source volumes throughout this document).

This package is a fork of https://github.com/stec-inc/EnhanceIO fixed for RHEL 7

%package        dkms
Summary:        EnhanceIO management command line interface
Requires:       dkms kernel-devel

%description    dkms
EnhanceIO kernel module

%package        cli
Summary:        EnhanceIO management command line interface

%description    cli
EnhanceIO management command line interface

%prep
%autosetup -n %{progname}-%{commit0}

%build

%install
rm -rf %{buildroot}

# Kernel module
mkdir -p %{buildroot}/%{_usrsrc}/%{modnamever}
cp Driver/%{name}/* %{buildroot}/%{_usrsrc}/%{modnamever}

# CLI
#install -D -m 755 -p -t %{buildroot}/%{_sbindir} CLI/eio_cli
mkdir -p %{buildroot}/%{_sbindir}
install -m 755 -p -t %{buildroot}/%{_sbindir} CLI/eio_cli
#install -D -m 644 -p -t %{buildroot}/%{_mandir}/man1 CLI/eio_cli.1
mkdir -p %{buildroot}/%{_mandir}/man8
install -m 644 -p -t %{buildroot}/%{_mandir}/man8 CLI/eio_cli.8

%post dkms
dkms install -m %{name} -v %{version} --rpm_safe_upgrade

%postun dkms
dkms remove -m %{name} -v %{version} --all --rpm_safe_upgrade

%files
%license COPYING
%doc Install.txt README.txt

%files          cli
%{_sbindir}/eio_cli
%{_mandir}/man8/eio_cli.8.gz

%files          dkms
%{_usrsrc}/%{modnamever}/*

%changelog
* Tue Oct 10 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170919git4068497-4
- dkms build (hopefully) fixed

* Tue Oct 10 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170919git4068497-3
- Set dkms module version to package version

* Tue Oct 10 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170919git4068497-2
- Main package now requires the same versions of -dkms and -cli as its own

* Tue Oct 10 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170919git4068497-1
- Version bump

* Tue Oct 10 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170918gitbcf2ca3-1
- Version bump

* Mon Sep 18 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170822gitf6f9b08-2
- Explicitly require kernel-devel

* Thu Aug 31 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.20170822gitf6f9b08-1
- Initial RPM build
